:root
{
	--error-color: orange;
	--error-outline: 0.5rem solid var(--error-color);
	--warning-color: yellow;
	--warning-outline: 0.5rem solid var(--warning-color);
}

ul > *:not(li),
ol > *:not(li)
{
	ERROR: ul, ol darf nur li-Kinder haben;
	outline: var(--error-outline) !important;
	background: var(--error-color) !important;
}

img:not([alt]),
img[alt=""]:not([role="presentation"]):not([aria-labelledby])
{
	ERROR: img muss Alternativtext haben;
	outline: var(--error-outline) !important;
}

[onclick]:not(a):not(button):not(input):not([tabindex]),
[onclick][tabindex^="-"],
[ng-click]:not(a):not(button):not(input):not([tabindex]),
[ng-click][tabindex^="-"]
{
	ERROR: click-Event für nicht fokussierbares Element;
	outline: var(--error-outline) !important;
}

[tabindex]:not([tabindex="0"]):not([tabindex="-1"])
{
	WARNING: tabindex sollte 0 bzw. -1 sein;
	outline: var(--warning-outline);
}

table > tr
{
	WARNING: tr sollte nicht Kind von table, sondern von tbody sein;
	outline: var(--warning-outline);
}

